
#include "config.h"

#include <config.h>

#include <string.h>
#include <gtk/gtk.h>
#include <glib/gi18n.h>
#include <gconf/gconf-client.h>

#include "cc-wacom-panel.h"
#include "activate-settings-daemon.h"

static void
capplet_set_icon (GtkWidget *window, char const *icon_file_name)
{
        gtk_window_set_default_icon_name (icon_file_name);
        gtk_window_set_icon_name (GTK_WINDOW (window), icon_file_name);
}

static gboolean
delete_event_cb (GtkWidget *widget,
		 GdkEvent  *event,
		 gpointer   user_data)
{
	gtk_main_quit ();

	return FALSE;
}

static void
dialog_response_cb (GtkDialog *dialog, gint response_id, GConfChangeSet *changeset)
{
	gtk_main_quit ();
}

int main (int argc, char **argv)
{
	GtkWidget      *dialog, *content_area, *panel;

	bindtextdomain (GETTEXT_PACKAGE, GNOMELOCALEDIR);
	bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
	textdomain (GETTEXT_PACKAGE);

	gtk_init (&argc, &argv);

	activate_settings_daemon ();

	dialog = gtk_dialog_new_with_buttons (_("GNOME Wacom properties"),
                                              NULL,
                                              0,
                                              GTK_STOCK_CLOSE,
                                              GTK_RESPONSE_CLOSE,
                                              NULL);
	gtk_window_set_resizable (GTK_WINDOW (dialog), FALSE);
	g_signal_connect_swapped (G_OBJECT (dialog),
                                  "response",
                                  G_CALLBACK (dialog_response_cb),
                                  dialog);
	g_signal_connect (G_OBJECT (dialog), "delete-event",
			  G_CALLBACK (delete_event_cb), NULL);

	content_area = gtk_dialog_get_content_area (GTK_DIALOG (dialog));
	panel = cc_wacom_panel_new ();
	gtk_container_add (GTK_CONTAINER (content_area), panel);
	gtk_container_set_border_width (GTK_CONTAINER (panel), 20);

	capplet_set_icon (dialog, "input-tablet");
	gtk_widget_show (panel);
	gtk_widget_show (dialog);

	gtk_main ();

	return 0;
}
